---

- name: Install gpg
  tags: install
  ansible.builtin.apt:
    name: gnupg

- name: Add apt key for deb.xengi.de
  tags: [install, podman]
  ansible.builtin.apt_key:
    url: https://deb.xengi.de/key.asc
    keyring: /etc/apt/trusted.gpg.d/deb.xengi.de.gpg

- name: Add deb.xengi.de apt repository
  tags: [install, podman]
  ansible.builtin.apt_repository:
    repo: deb https://deb.xengi.de stable main
    filename: deb.xengi.de

- name: Install packages
  tags: [install, podman]
  ansible.builtin.apt:
    name: "{{ containerhost__packages_podman }}"

- name: Create directories
  tags: [install, podman]
  ansible.builtin.file:
    path: /etc/containers/systemd
    state: directory
    mode: '0755'

- name: Enable podman auto-update timer
  tags: [install, podman]
  ansible.builtin.systemd:
    name: podman-auto-update.timer
    enabled: yes
  when: containers is defined

- name: Pull images for containers
  tags: [install, podman]
  containers.podman.podman_image:
    name: "{{ container.image }}"
  loop: "{{ containers | d([]) }}"
  loop_control:
    loop_var: container

- name: Setup container
  tags: [configure, podman]
  include_tasks: container.yml
  loop: "{{ containers | d([]) }}"
  loop_control:
    loop_var: container

